Bug 100037 - Image arrangement (in Z dimension) not respected in docx (EMF included)
Summary: Image arrangement (in Z dimension) not respected in docx (EMF included)
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.1.3.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: EMF-WMF
  Show dependency treegraph
 
Reported: 2016-05-24 20:32 UTC by Julien Nabet
Modified: 2018-11-25 03:40 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
original docx file (1.01 MB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2016-05-24 20:32 UTC, Julien Nabet
Details
pdf generated from LO master sources updated today (438.63 KB, application/pdf)
2016-05-24 20:33 UTC, Julien Nabet
Details
pdf from Word2013 + pdfcreator (358.85 KB, application/pdf)
2016-05-24 20:35 UTC, Julien Nabet
Details
console logs (23.11 KB, text/plain)
2016-05-24 20:35 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Julien Nabet 2016-05-24 20:32:13 UTC
Created attachment 125266 [details]
original docx file

On pc Debian x86-64 with master sources updated today, the layout of the file attached is different between LO and Word 2013.
(see attachments)
Comment 1 Julien Nabet 2016-05-24 20:33:34 UTC
Created attachment 125267 [details]
pdf generated from LO master sources updated today

pdf export seems to correspond with LO display.
Comment 2 Julien Nabet 2016-05-24 20:35:16 UTC
Created attachment 125268 [details]
pdf from Word2013 + pdfcreator
Comment 3 Julien Nabet 2016-05-24 20:35:45 UTC
Created attachment 125269 [details]
console logs

Here are console logs I noticed
Comment 4 Buovjaga 2016-05-27 11:34:23 UTC
Ok, so the arrangement of the field and ball images is on top. We can send them to back (right click - arrange) to fix it.
Then there are several extra ball images we can delete.
Also several extra Sport 2000 images we can delete (on top of each other like the tennis balls).

Julien: do you consider the extra images as user errors and only keep this report for the arrangement issue or..?

Arch Linux 64-bit, KDE Plasma 5
Version: 5.3.0.0.alpha0+
Build ID: 60041cb237ea73c2c1885dd6afd99d88780c2dfc
CPU Threads: 8; OS Version: Linux 4.5; UI Render: default; 
Locale: fi-FI (fi_FI.UTF-8)
Built on May 26th 2016

64-bit, KDE Plasma 5
Build ID: 5.1.3.2 Arch Linux build-1
CPU Threads: 8; OS Version: Linux 4.5; UI Render: default; 
Locale: fi-FI (fi_FI.UTF-8)
Comment 5 Julien Nabet 2016-05-27 11:43:27 UTC
(In reply to Buovjaga from comment #4)
> ...
> 
> Julien: do you consider the extra images as user errors and only keep this
> report for the arrangement issue or..?
>...

First, thank you for your detailed feedback.
Indeed, we can consider the extra images as user issue and I suppose we can keep the report for arrangement issue.
However, I hope Word's layout doesn't depend on some internal bugs. I mean perhaps it displays like this just because of bugs and, eg, Word > 2013 would display problems.
In this case, I would't like LO mimicks these bugs :-)
Comment 6 QA Administrators 2017-11-17 09:10:24 UTC Comment hidden (obsolete)
Comment 7 Julien Nabet 2017-11-24 19:59:36 UTC
On pc Debian x86-64 with master sources updated today, I could reproduce this.
Comment 8 QA Administrators 2018-11-25 03:40:32 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug